Subject: Re: bug#54878: 29.0.50; diary-fancy-display - with-current-buffer nil

From: Andreas Röhler <[email-masked]>
Date: Tue, 12 Apr 2022 21:45:03 +0200

Am 12.04.22 um 21:32 schrieb Lars Ingebrigtsen:
> Andreas Röhler<[email-masked]>  writes:
>
>> I don't get any errors.  I guess I need a diary file for today to
>> reproduce the problem?  What do you have?
>>
>>   In ~/.emacs.d/diary exists an empty foo.org
> Sorry, I don't understand what that means.
You asked for a diary file. Don't have that. But have a file SOME.org in 
that directory, where
diary-fancy-display is looking into. Which shouldn't matter WRT bug, 
just because you asked.

BTW the whole point is to care for the case, that no diary-file exists 
but the custom-vars are set like given.
Exclude (with-current-buffer nil)